Coverage of technical translators for the top 25 Wikimedia projects
Closed, ResolvedPublic

Description

T170002: Goal: Community Liaisons support scales better across Wikimedia Foundation’s Product and Technology departments implicitly assumes the improvement of multilingual communications, at least to reach out to the top 25 Wikimedia projects. Explicitly it says:

Top 25 wiki projects in terms of active contributors have at least one active tech ambassador and one translator identified (could be the same person).

After initial discussions about the roles of tech ambassadors and translators, we decided to focus on ambassadors first (T176476). This task focuses on technical translators by

  • defining the ideal (yet realistic) language coverage for the top 25 Wikimedia projects
  • measuring the current coverage and publishing the results at m:Technical_Collaboration/Metrics.
  • defining a short term plan to support translators and increase the language coverage as needed.

See also

Qgil created this task.Sep 28 2017, 8:07 AM
Qgil updated the task description. (Show Details)Sep 28 2017, 8:12 AM
Johan claimed this task.Sep 28 2017, 11:05 AM
Restricted Application added a project: User-Johan. · View Herald TranscriptSep 28 2017, 11:05 AM

This is probably an Apr-Jun kind of goal?

Qgil triaged this task as Normal priority.

Assuming normal priority.

Qgil updated the task description. (Show Details)Oct 11 2017, 10:24 AM

A reminder that this is on the "Ready to Go" column: maybe you can already evaluate whether it's something for next quarter instead. Thank you!

Johan raised the priority of this task from Normal to High.
Johan moved this task from Backlog to Do soon on the User-Johan board.Jan 10 2018, 4:30 PM
Elitre added a comment.Feb 9 2018, 2:01 PM

This being at the same time High priority and in the Backlog column? mh... :D

Qgil added a comment.Jun 15 2018, 12:44 PM

Johan, can you share the current status and the plan to complete this task, please?

Johan added a comment.Jun 15 2018, 1:06 PM

The current status is that I have a bunch of notes on my whiteboard and on paper. I plan to complete it during the second half of June.

I'm looking for translators those days and plan to redirect them to that page if they do a good enough job. Please tell me if that matches your plans at some point. :)

Johan added a comment.EditedJun 28 2018, 9:42 PM

So … I’ve been looking into this for a while, and had started building a far too complex system of coverage measurements that a) was unrealistic and b) wouldn’t have told us anything anyway. This is the simplified version, which I think will serve us far better.

Technical translations is not one thing in the Wikimedia world. We have at least three different sorts and arenas.

  • Translations of the MediaWiki software (Translatewiki)
  • Translations of technical documentation (mainly MediaWiki, but also Meta and Commons)
  • Translations of technical news and announcements (Meta)

They differ in purpose, place, recruitment of translators, what is translated and how time-sensitive the translations are.

Major projects generally have the MediaWiki software fully translated and new translations are added as updates come in. This is, for the major languages, already a reasonably well-functioning process. Whatever could be changed is mainly on the software side, and outside the resources of Technical Collaboration team to address. Where translations don’t exist, editors are prompted to act by the obvious existence of a foreign language on their wiki. There’s an expectation that the wiki will be fully translated. There’s no such expectation for technical news (which is seen as a temporary intrusion coming from the outside), and even less so for technical documentation (which one has to leave one’s home wiki to find). The MediaWiki software is also not a piece of communication, and largely outside the remit of the Technical Collaboration team.

When it comes to ”coverage”, since we’re talking about a variation of different things, it’s difficult to define what coverage is. In some languages technical news are available on a weekly basis, yet do not translate technical documentation. There are varying reasons for this, but one of them is the perceived lack of necessity. Every language wants their wiki fully translated, because English is not only a matter of whether the reader can understand or not, but also the pride of being an independent project. If the vast majority of editors speak English, it is possible that documentation hosted on mediawiki.org is not considered to be a priority. The lack of translations is not seen as an acute accessibility problem, nor a failure as an independent community. Other languages have – comparatively – good access to translated documentation, but lack translation of Tech News. This is true for example German, where the German community has their own source of news.

By necessity, the definition of coverage has to be simplified. I’d suggest measuring in two steps.

  • Actual translations. For lack of better tools, this could be Tech News, which is the central venue of technical communication.
  • Active tech translators.

This will give us an idea of both a) how well technical news are translated and b) how well key parts of technical documentation and news can be presented to our largest communities. In the worst case, if the old adage ”you get what you measure” holds true and this doesn’t represent anything beyond itself, technical translators we can turn to for help and Tech News translations will both help further the goals of the Wikimedia movement. Always measure something that, in itself, is a good thing.

Ideal but realistic coverage over time is that 90% of the top 25 languages (as defined in the list) translate Tech News at least 50% of the time, and all top 25 languages have at least one active tech translator listed, and a majority has a team of two or more active translators.

Ideal but realistic coverage in short term is that 70% of the top 25 languages translate Tech News at least 50% of the time, and that 80% of the top 25 languages have at least one active tech translator listed, and at least three of them a team of two or more active translators.

Current coverage says that for Tech News ar, cs, es, fa, fi, fr, he, hi, it, ja, pl, pt-br, ru, uk, zh and sv (but only because it’s part of me testing the translations) are regularly (more than 50% of issues in the recent months) translated. el, hu, ko, nl, pt are occasionally translated, but not often enough to reach the threshold. ca, de, tr are rarely or never translated.

A suggestion for the next steps is outlined in T197865.

Johan added a comment.Jun 28 2018, 9:45 PM

As for the 24th and 25th languages on the list, I've suggested hi as one of them, for various reasons such as being a local lingua franca, a reasonably large wiki in terms of active users and an area where the Wikimedia movement is trying to get more active. The other either id, based on active editors, or vi, based on the size of the wiki, I'd say.

Johan updated the task description. (Show Details)Jun 29 2018, 12:00 PM
Johan closed this task as Resolved.Jul 3 2018, 12:54 PM

Current coverage has been measured. After talking to Erica, given that the team formerly known as Technical Collaboration will have a broader responsibility, it's possible that our work on translators and translatability would benefit from a broader focus than just technical translators, I'm waiting to move those results to /Metrics, but closing this task as resolved – let's open a new task if we need to redefine something.

Work done so far could easily be used in a project with broader focus as well.

Elitre updated the task description. (Show Details)Jul 12 2018, 10:57 AM
Johan moved this task from Do soon to Archive on the User-Johan board.Jul 22 2018, 2:26 AM